from gym.envs.registration import register

from minigrid import minigrid, roomgrid, wrappers


def register_minigrid_envs():
    # FourRooms
    # ----------------------------------------

    register(
        id="MiniGrid-FourRooms-7x7-v0",
        entry_point="minigrid.envs:FourRoomsEnv",
        kwargs={"size": 7},
    )

    register(
        id="MiniGrid-FourRooms-9x9-v0",
        entry_point="minigrid.envs:FourRoomsEnv",
        kwargs={"size": 9},
    )

    register(
        id="MiniGrid-FourRooms-11x11-v0",
        entry_point="minigrid.envs:FourRoomsEnv",
        kwargs={"size": 11},
    )

    register(
        id="MiniGrid-FourRooms-13x13-v0",
        entry_point="minigrid.envs:FourRoomsEnv",
        kwargs={"size": 13},
    )

    register(
        id="MiniGrid-FourRooms-15x15-v0",
        entry_point="minigrid.envs:FourRoomsEnv",
        kwargs={"size": 15},
    )

    register(
        id="MiniGrid-FourRooms-19x19-v0",
        entry_point="minigrid.envs:FourRoomsEnv",
        kwargs={"size": 19},
    )

    register(
        id="MiniGrid-LavaCrossingS13N1-v0",
        entry_point="minigrid.envs:CrossingEnv",
        kwargs={"size": 13, "num_crossings": 1},
    )
